from scipy.cluster.hierarchy import dendrogram, linkage
from matplotlib import pyplot as plt

# Data
X =[[1.00,0.10,0.41,0.55,0.35],
    [0.10,1.00,0.64,0.47,0.98],
    [0.41,0.64,1.00,0.44,0.85],
    [0.55,0.47,0.44,1.00,0.76],    
    [0.35,0.98,0.85,0.76,1.00]]
labels = ['p1','p2','p3','p4','p5']

# Perform clustering, using single and complete method
Z1 = linkage(X, 'single')
Z2 = linkage(X, 'complete')

# Visualize the clustering as a dendogram
fig = plt.figure(figsize=(25, 10))

plt.subplot(1,2,1), dendrogram(Z1, labels=labels), plt.title('Single')
plt.subplot(1,2,2), dendrogram(Z2, labels=labels), plt.title('Complete')

plt.show()